Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class CallbackMap

    java.lang.Object
      org.apache.cayenne.map.CallbackMap

All Implemented Interfaces:
  Serializable

    public class CallbackMap

extends Object
implements Serializable

A generic descriptor of a set of standard lifecycle callbacks.

Since:
  3.0
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`static int[]` | `CALLBACKS` An array containing all valid callbacks with each callback int value corresponding to its index in the array.
`protected CallbackDescriptor` | `postLoad`
`protected CallbackDescriptor` | `postPersist`
`protected CallbackDescriptor` | `postRemove`
`protected CallbackDescriptor` | `postUpdate`
`protected CallbackDescriptor` | `prePersist`
`protected CallbackDescriptor` | `preRemove`
`protected CallbackDescriptor` | `preUpdate`

Constructor Summary
`CallbackMap()`

Method Summary
`CallbackDescriptor[]` | `getCallbacks()` Returns all event callbacks in a single array ordered by event type, following the order in `CALLBACKS` array.
`CallbackDescriptor` | `getPostLoad()`
`CallbackDescriptor` | `getPostPersist()`
`CallbackDescriptor` | `getPostRemove()`
`CallbackDescriptor` | `getPostUpdate()`
`CallbackDescriptor` | `getPrePersist()`
`CallbackDescriptor` | `getPreRemove()`
`CallbackDescriptor` | `getPreUpdate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CALLBACKS

    public static final int[] CALLBACKS

  An array containing all valid callbacks with each callback int value corresponding to its index in the array.

### prePersist

    protected CallbackDescriptor prePersist

### postPersist

    protected CallbackDescriptor postPersist

### preUpdate

    protected CallbackDescriptor preUpdate

### postUpdate

    protected CallbackDescriptor postUpdate

### preRemove

    protected CallbackDescriptor preRemove

### postRemove

    protected CallbackDescriptor postRemove

### postLoad

    protected CallbackDescriptor postLoad

Constructor Detail

### CallbackMap

    public CallbackMap()

Method Detail

### getCallbacks

    public CallbackDescriptor[] getCallbacks()

  Returns all event callbacks in a single array ordered by event type, following the order in `CALLBACKS` array.

### getPostLoad

    public CallbackDescriptor getPostLoad()

### getPostPersist

    public CallbackDescriptor getPostPersist()

### getPostRemove

    public CallbackDescriptor getPostRemove()

### getPostUpdate

    public CallbackDescriptor getPostUpdate()

### getPrePersist

    public CallbackDescriptor getPrePersist()

### getPreRemove

    public CallbackDescriptor getPreRemove()

### getPreUpdate

    public CallbackDescriptor getPreUpdate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.